activation-key list does not filter by --environment flag
Status: Closed   

Priority: Normal   

Assignee: dustin tsang   

Category: Hammer   

Target version: Katello 2.0   

Difficulty: easy Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Associated revisions

Revision 5e89a081 - 06/17/2014 04:03 PM - dustin tsang

Fixes #6154, #6253 - ak/ch name resolver for lfenv

Fixes a few issues with activation-key and content-host

1) This provides resource_alias from --environment, --environment-id

to --lifecycle-environment, --lifecycle-environment-id

2) fixes issue with resolving the environment by name:

--environment or --lifecycle-environment flag did not work

resolving by name was using environment resource instead

of the lifecycle-environment resource.

History

#1 - 06/17/2014 06:06 PM - dustin tsang

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

Applied in changeset hammer-cli-katello|commit:5e89a0817b2ebb2705eaa9d756dd3133980c734d.

#2 - 06/19/2014 01:05 AM - Eric Helms

- Difficulty set to easy

- Triaged changed from No to Yes

#3 - 08/22/2014 08:35 AM - Eric Helms

- translation missing: en.field_release set to 13
